' add reference mygrand_as & myfather_as
Module mychild
    Sub Main()
        Dim nation As New mygrand_ns.Mygrand
        nation.exg1 = 7
        Console.Write(nation.exg1) ' 7
        Dim burin As New in_mychild
        burin.setg()
        Console.Write(burin.exg1) ' 3
        burin.g2 = "zero"
        burin.exg1 = 4
        Console.Write(burin.exg1) ' 0
        Console.Write(burin.cntg("two")) ' 2
        Console.Read()
    End Sub
End Module
Class in_mychild
    Inherits myfather_ns.Myfather
    Public Overloads Function cntg(ByVal x As String) As String
        Dim o As String = ""
        If (x = "one") Then o = "1"
        If (x = "two") Then o = "2"
        Return o
    End Function
End Class
